/* ccgo: igs/board.cc
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "board.hh"

using namespace igs;

Board::Board() :
	board_size(0),
	state(0),
	is_score(false)
{
}

Board::~Board()
{
	if (state) delete[] state;
}

void Board::set_size(int z)
{
	board_size = z;
	if (state) delete[] state;
	state = new int[z * z];
}

int & Board::site(int x, int y)
{
	return state[board_size * y + x];
}

const int & Board::site(int x, int y) const
{
	return state[board_size * y + x];
}
